PRG=@PRG@
SRCDIR=@SRCDIR@
NOWEAVE=@NOWEAVE@ -delay #-index
LATEX=@LATEX@
DVIPS=@DVIPS@
PS2PDF=@PS2PDF@
PDFLATEX=@PDFLATEX@
HEVEA=@HEVEA@
HACHA=@HACHA@
IMAGEN=@IMAGEN@

HEVEAOPTS = -exec xxdate.exe \
  article.hva fancysection.hva mathaccents.hva \
  custom.hva
HACHAOPTS = -tocbis

man: manual.ps
ifdef PS2PDF
pdf: man
	$(PS2PDF) manual.ps
endif
html: index.html

doc: $(PRG).ps
pdfdoc: $(PRG).pdf

index.html: manual.html
	$(HACHA) $(HACHAOPTS) -o $@ $<

manual.html: manual.tex
ifeq ("$(HEVEA)","no")
	echo "HEVEA not available.  The HTML manual cannot be made."
else
	$(HEVEA) $(HEVEAOPTS) $<
	$(IMAGEN) manual
#	$(METAPOST) $*pics.mp
	$(HEVEA) -fix $(HEVEAOPTS) $<
endif

ifdef PDFLATEX
%.pdf: %.tex
	$(PDFLATEX) $*; \
	while grep 'Rerun to get cross-references right\.' $*.log; \
	do $(PDFLATEX) $*; \
	done
	$(PDFLATEX) $*
else ifdef PS2PDF
%.pdf: %.ps
	$(PS2PDF) $*
else
%.pdf: %.tex
	echo "Neither pdflatex nor ps2pdf available.  PDF cannot be made."
endif

%.ps: %.dvi
	$(DVIPS) $<

%.dvi: %.tex
	$(LATEX) $*; \
	while grep 'Rerun to get cross-references right\.' $*.log; \
	do $(LATEX) $*; \
	done

%.html: %.tex


$(PRG).tex: $(SRCDIR)/$(PRG).nw
	$(NOWEAVE) $< >$@

clean:
	rm -f $(PRG).tex $(PRG).aux $(PRG).log $(PRG).toc $(PRG).idx $(PRG).out
	rm -f manual.aux manual.log manual.toc manual.out manual.haux manual.image.tex

realclean: clean
	rm -f *~ $(PRG).ps $(PRG).dvi $(PRG).pdf
	rm -f manual.ps manual.dvi manual.pdf
	rm -f *.gif *.html

distclean: realclean
	rm -f Makefile
